## CORE CSS ![npm](https://img.shields.io/npm/v/@procore/core-css.svg) ![npm](https://img.shields.io/npm/dt/@procore/core-css.svg)

An implementation of Procore's Web Design Guidelines.

## Requirements

Node 6+
NPM or Yarn

## Background

Our styles are organized according to [`Inverted Triangle CSS`](https://www.xfive.co/blog/itcss-scalable-maintainable-css-architecture/). ITCSS organizes stylesheets by _specificity_. Read the article linked above for more information.

## Developing

To get started, type the following from the root directory:

```
yarn
yarn dev
```

## Testing

Testing currently consists of Jest snapshot testing on our React components. To run the test suite use the following command:

```
yarn test
```

## Building

```
yarn build
```

Once the project is done building, the docs can be viewed at `build/docs/index.html`

## Contributing and Styleguide

Bug reports and pull requests are welcome on GitHub at https://github.com/procore/core. This project is
intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the
[Contributor Covenant](http://contributor-covenant.org) code of conduct.

In lieu of a formal styleguide, we use [husky](https://github.com/typicode/husky) to create a `precommit` hook, which executes [prettier](https://github.com/prettier/prettier) on any git staged files determined by [lint-staged](https://github.com/okonet/lint-staged).

## License

The package is available under the [Procore Developers License](https://developers.procore.com/terms_and_conditions)

## About Procore

<img
  src="https://www.procore.com/images/procore_logo.png"
  alt="Procore Logo"
  width="250px"
/>

CORE Icons is maintained by Procore Technologies.

Procore - building the software that builds the world.

Learn more about the #1 most widely used construction management software at [procore.com](https://www.procore.com/)
